<?php

$contentData = [
    "items" => []
];
if($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if(isset($canvasData["allergies"])) {
        $contentData = $canvasData["allergies"];
    }
}

if(count($contentData['items'])) {
    for ($i = 0; $i < count($contentData['items']); $i++) {
        $item = $contentData['items'][$i];
?>
        <div class="mb-2">
            <div class="">
                <b><?= $item["title"] ?></b>
            </div>
            <?php if(!!$item["detail"]): ?>
                <div class="text-secondary"><?= $item["detail"] ?></div>
            <?php endif; ?>
        </div>
<?php
    }
}
else {
    ?>
    <div class="text-secondary">Nothing here yet!</div>
    <?php
}
?>
